#
# Copyright 2001 by Object Craft P/L, Melbourne, Australia.
#
# LICENCE - see LICENCE file distributed with this software for details.
#
# 
# Test if-elif-else flow constructs.
#
# $Id: control_flow.py 15353 2010-01-18 09:09:09Z andrewm $

import unittest
import albatross
import template_common

class IfThenElifElseCase(template_common.TemplateTestCommon):
    template_dir = "control_flow"

    def html_test_value(self, template, value, expect):
        self.ctx.locals.x = value
        self.html_test(template, expect)

    def test_if(self):
        self.html_test_value("if-elif-else.html", 0, "zero\n")

    def test_elif(self):
        self.html_test_value("if-elif-else.html", 1, "positive\n")

    def test_else(self):
        self.html_test_value("if-elif-else.html", -1, "negative\n")

    def test_unclosed(self):
        self.tmpl_exc("if-elif-fail.html")


if __name__ == '__main__':
    unittest.main()
